Skip to main content
Updates agent metadata such as name, description, and status.
PATCH https://services.leadconnectorhq.com/agent-studio/agent/{agentId}

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

agentId
string
default:"p1q2r3s4t5u6v7w8x9y0z1a2"
required

Query parameters

source
string
default:"api"

Body

locationId
string
default:"C2QujeCh8ZnC7al2InWR"
required
Account ID for authorization (cannot be updated)
name
string
default:"Updated Customer Support Agent"
Name of the agent
description
string
Description of the agent
status
string
default:"active"
Status of the agent Posibles valores: ‘active’, ‘inactive’, ‘archived’

Respuestas

success
boolean
default:"True"
required
Success status
message
string
default:"Agent updated successfully"
required
Response message
data
object
required
Updated agent or version data
{
  "success": true,
  "message": "Agent updated successfully",
  "data": {
    "agentId": "p1q2r3s4t5u6v7w8x9y0z1a2",
    "versionId": "v1a2b3c4d5e6f7g8h9i0",
    "name": "Updated Customer Support Agent",
    "description": "Updated AI agent with enhanced customer support capabilities",
    "status": "active",
    "updatedAt": "2024-02-27T11:45:00.000Z"
  }
}
{}
{}
{}
statusCode
number
default:"500"
message
string
default:"Internal Server Error"
{
  "statusCode": 500,
  "message": "Internal Server Error"
}

Ejemplo

curl -X PATCH 'https://services.leadconnectorhq.com/agent-studio/agent/YOUR_agentId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "C2QujeCh8ZnC7al2InWR",
  "name": "Updated Customer Support Agent",
  "description": "Updated AI agent with enhanced customer support capabilities",
  "status": "active"
}'
const response = await fetch('https://services.leadconnectorhq.com/agent-studio/agent/YOUR_agentId', {
  method: 'PATCH',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"locationId": "C2QujeCh8ZnC7al2InWR", "name": "Updated Customer Support Agent", "description": "Updated AI agent with enhanced customer support capabilities", "status": "active"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'PATCH',
    'https://services.leadconnectorhq.com/agent-studio/agent/YOUR_agentId',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"locationId": "C2QujeCh8ZnC7al2InWR", "name": "Updated Customer Support Agent", "description": "Updated AI agent with enhanced customer support capabilities", "status": "active"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/agent-studio/agent/YOUR_agentId');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'PATCH',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'locationId': 'C2QujeCh8ZnC7al2InWR', 'name': 'Updated Customer Support Agent', 'description': 'Updated AI agent with enhanced customer support capabilities', 'status': 'active'}),
]);
$data = json_decode(curl_exec($ch), true);